export const T_TAG_VALUE = 'GameMod'
export const MOD_FILTER_LIMIT = 20
export const LANDING_PAGE_DATA = {
  featuredSlider: [
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5cek8pnrwc34xgknyv33xqkngc34xyknscfjxsknzvp38quxgc33vejnqvqhqecq8',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5vpcxs6nwwp3x5knyd3evckngetxxcknjdfkx5kngdfhvgukvwfjxsunseqnend73',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5d3excenzvf5xgkkvdny8qkngveex5knjcnxxqkn2efnx3jrxvpcxgukxdggsmal6',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5dp4xsex2e3cxuknsdryvvkngc3sxcknjef4vcknvvmyvcukyd3kvd3rxdgnuver5',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5vf5x9nrxcekxvknjvmzxvkngcfsx5kkzcf3xqknsvmrvgenwe3j8p3nzwgka59vj'
  ],
  awesomeMods: [
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5d3excenzvf5xgkkvdny8qkngveex5knjcnxxqkn2efnx3jrxvpcxgukxdggsmal6',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5df5xccngvtrxqkkydpexukngvp4xgknsvp4vskkgdrxvgmkxdmp8quxycgx78rpf',
    'naddr1qvzqqqrkcgpzquuz5nxzzap2c034s8cuv5ayr7gjaxz7d22pgwfh0qpmsesy9eflqp4nxvp5xqer5den8qexzdrrvverzde5xfskxvm9xv6nsvtxx93nvdfnvy6rze3exyex2wfcx4jnvcfexscngveexvmnwwpsxd3rsd3kxq6ryef4xdnr5vrrvgmnjc33xuknwde4vskngvekxgknsenyxvkk2ctxvscrvenpvsmnxeqydygjx'
  ],
  featuredGames: [
    'Persona 3 Reload',
    'Baldur\'s Gate 3',
    'Cyberpunk 2077',
    'ELDEN RING',
    'FINAL FANTASY VII REMAKE INTERGRADE'
  ]
}
// we use this object to check if a user has reacted positively or negatively to a post
// reactions are kind 7 events and their content is either emoji icon or emoji shortcode
// Extend the following object as per need to include more emojis and shortcodes
// NOTE: In following object emojis and shortcode array are not interlinked.
// Both of these arrays can have separate items
export const REACTIONS = {
  positive: {
    emojis: [
      '+',
      '❤️',
      '💙',
      '💖',
      '💚',
      '⭐',
      '🚀',
      '🫂',
      '🎉',
      '🥳',
      '🎊',
      '👍',
      '💪',
      '😎'
    ],
    shortCodes: [
      ':red_heart:',
      ':blue_heart:',
      ':sparkling_heart:',
      ':green_heart:',
      ':star:',
      ':rocket:',
      ':people_hugging:',
      ':party_popper:',
      ':tada:',
      ':partying_face:',
      ':confetti_ball:',
      ':thumbs_up:',
      ':+1:',
      ':thumbsup:',
      ':thumbup:',
      ':flexed_biceps:',
      ':muscle:'
    ]
  },
  negative: {
    emojis: [
      '-',
      '💩',
      '💔',
      '👎',
      '😠',
      '😞',
      '🤬',
      '🤢',
      '🤮',
      '🖕',
      '😡',
      '💢',
      '😠',
      '💀'
    ],
    shortCodes: [
      ':poop:',
      ':shit:',
      ':poo:',
      ':hankey:',
      ':pile_of_poo:',
      ':broken_heart:',
      ':thumbsdown:',
      ':thumbdown:',
      ':nauseated_face:',
      ':sick:',
      ':face_vomiting:',
      ':vomiting_face:',
      ':face_with_open_mouth_vomiting:',
      ':middle_finger:',
      ':rage:',
      ':anger:',
      ':anger_symbol:',
      ':angry_face:',
      ':angry:',
      ':smiling_face_with_sunglasses:',
      ':sunglasses:',
      ':skull:',
      ':skeleton:'
    ]
  }
}

// NOTE: there should be a corresponding CSV file in public/assets/games folder for each entry in the array
export const GAME_FILES = [
  'Games_Itch.csv',
  'Games_Nintendo.csv',
  'Games_Other.csv',
  'Games_Steam.csv'
]

export const MAX_MODS_PER_PAGE = 10
export const MAX_GAMES_PER_PAGE = 10
